dedecms V5.8版本开发中,新版的织梦系统在安全方面更好了

dedecms 5.8在2019年底就有策划开发,目前已经完成了大部分的开发,在织梦论坛里面“天涯”发布预告,估计很快就可以使用上新版本的dedecms系统了。值得期待的是dedecms5.8版本在安全方面下了很大的功夫,大家一直担心的安全问题将一去复返了。

dedecms V5.8版本开发中,新版的织梦系统在安全方面更好了-1dedecms5.8 road

01dedecms5.8有哪些新功能

dedecms5.8的亮点是多个方面的,网站后台大家最烦的可能就是CKeditor这个编辑器了,多图上传、flash方式现在的浏览器支持很差,https支持不够好,jQuery版本库过于老旧……这些将在dedecms5.8中全部解决!

至少编辑器升级到CKeditor4最新版还是值得期待的,再也不要去整合什么ueditor、kindedit编辑器了,移出对flash依赖,这可以解决后台的一些按钮没有装flash插件加载不出来的麻烦,总之,这一个新版本还是有很多的亮点,值得期待。

dedecms V5.8版本开发中,新版的织梦系统在安全方面更好了-2

详细升级和改进的方面如下:

调整DedeCMS目录结构,将原有include中外部访问的内容迁移出去;修正已知存在的安全问题;升级内置编辑器ckeditor4为最新版本;v5.8以后仅发布UTF-8版本的程序,不再提供GBK编码的版本;jQuery升级到3.5.0,并逐步淘汰过于陈旧的浏览器支持;会员中心移除对文件上传的支持,增加系统安全性;移除对Flash的依赖支持,今后版本采用HTML5相关特性;调整v5.8版本程序升级相关功能;系统支持HTTPS;官方网站页面调整,调整部分内容以适应未来的版本更新;不过需要注意的是自5.8版本开始,将不再开发多编码的源码了,只提供utf8一种编码,所以使用其他编码的站长需要转码升级了,dedecms GitHub链接github.com/dedetech/DedeCMSv5,可以在这里关注版本发布信息。

dedecms V5.8版本开发中,新版的织梦系统在安全方面更好了-3

02dedecms安装需求

1.Windows 平台

IIS/Apache/Nginx + PHP5/PHP7 + MySQL4/5 如果在windows环境中使用,建议用DedeCMS提供的DedeAMPZ套件以达到最佳使用性能。

2.Linux/Unix 平台

Apache/Nginx + PHP5/PHP7 + MySQL4/5 (PHP必须在非安全模式下运行)

建议使用平台:Linux + Apache2.2 + PHP7.1 + MySQL5.0

3.PHP必须环境或启用的系统函数

allow_url_fopenGD扩展库MySQL扩展库系统函数 —— phpinfo、dir

dedecms V5.8版本开发中,新版的织梦系统在安全方面更好了-4

dedecms5.7连续升级了dedecms5.7SP1和SP2,修复了大部分的安全漏洞和对PHP7的支持,从上面可以看出,dedecms5.8版本有很多值得期待的地方,现在正在开发升级中,很快就能完成吧,我们喜欢的开源网站系统值得拥有。

标签

发表评论